/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TMainForm.h"
//---------------------------------------------------------------------
#define tr(s) String::fromUTF8(s)
//---------------------------------------------------------------------
TMainForm::TMainForm() : DocumentWindow(
        JUCEApplication::getInstance()->getApplicationName(),
        Colours::azure,
        DocumentWindow::allButtons)
{
    centreWithSize(400, 200);
    setResizable(true, false);
    setVisible(true);

    // Динамически создаём ярлык
    pHelloLabel = new Label("Hello Label", tr("Привет, мир!"));
    // Задаём размер ярлыка, равный размеру главного окна
    pHelloLabel->setSize(400, 200);
    // Устанавливаем ярлык в качестве компонента содержимого
    setContentOwned(pHelloLabel, true);
    // Устанавливаем размер и гарнитуру шрифта
    pHelloLabel->setFont(Font(38.0000f, Font::bold));
    // Устанавливаем выравнивание текста
    pHelloLabel->setJustificationType(Justification::centred);
    // Запрещаем редактирование текста ярлыка
    pHelloLabel->setEditable(false, false, false);
    // Устанавливаем цвет фона ярлыка
    pHelloLabel->setColour(Label::backgroundColourId, Colours::azure);
    // Устанавливаем цвет текста надписи
    pHelloLabel->setColour(Label::textColourId, Colours::black);
}
//---------------------------------------------------------------------
TMainForm::~TMainForm()
{
}
//---------------------------------------------------------------------
void TMainForm::closeButtonPressed()
{
    JUCEApplication::getInstance()->systemRequestedQuit();
}
//---------------------------------------------------------------------

